## expeyes 3.0.4

=== Makefile ===
DESTDIR =
SUBDIRS = $(shell ls -d doc bin firmware po clib/expeyes-clib 2>/dev/null)
all:
	python setup.py build
	for d in $(SUBDIRS); do \
	  if [ -x $$d/configure ]; then \
	    (cd $$d; ./configure -prefix=/usr; make all;) \
	  else \
	    make -C $$d $@; \
	  fi; \
	done

install:
	# for python-expeyes
	if grep -Eq "Debian|Ubuntu" /etc/issue; then \
	  python setup.py install --install-layout=deb \
	         --root=$(DESTDIR)/ --prefix=/usr; \
	else \
	  python setup.py install --root=$(DESTDIR)/ --prefix=/usr; \
	fi
	install -d $(DESTDIR)/lib/udev/rules.d/
	install -m 644 99-phoenix.rules $(DESTDIR)/lib/udev/rules.d/
	# for expeyes
	install -d $(DESTDIR)/usr/share/expeyes
	cp -a eyes eyes-junior $(DESTDIR)/usr/share/expeyes
	install -d $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/expeyes-logo.png \
	  $(DESTDIR)/usr/share/icons/expeyes.png
	install -m 644 pixmaps/expeyes-junior-icon.png \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/nuclear-icon.png \
	  $(DESTDIR)/usr/share/icons
	install -d $(DESTDIR)/usr/share/applications
	install -m 644 desktop/expeyes.desktop \
	  desktop/expeyes-junior.desktop desktop/Phoenix-ASM.desktop \
	  $(DESTDIR)/usr/share/applications
	make -C po install DESTDIR=$(DESTDIR)
	# for expeyes-doc-common
	install -d $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/*doc.png $(DESTDIR)/usr/share/icons
	install -d $(DESTDIR)/usr/share/applications
	install -m 644 desktop/*doc.desktop $(DESTDIR)/usr/share/applications
	# subdirs stuff
	for d in $(SUBDIRS); do \
	  make -C $$d $@ DESTDIR=$(DESTDIR); \
	done
	# fix permissions in /usr/share/expeyes
	find $(DESTDIR)/usr/share/expeyes -type f -exec chmod 644 {} \;
	# for expeyes-clib
	ln -s /usr/lib/expeyes $(DESTDIR)/usr/share/expeyes/clib


clean:
	rm -rf *~ *.pyc build/ eyes/*~ eyes/*.pyc eyes-junior/*~ eyes-junior/*.pyc doc/fr/Docs/eyes.out
	for d in $(SUBDIRS); do \
	  [ ! -f $$d/Makefile ] || make -C $$d $@; \
	  if [ -x $$d/configure ] && [ -f $$d/Makefile ] ; then \
	    make -C $$d distclean; \
	  fi; \
	done


.PHONY: all install clean

=== bin/Makefile ===
DESTDIR=
DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc --nonet --param man.charmap.use.subset "0"

all: expeyes.1 expeyes-junior.1 expeyes-doc.1

expeyes.1: expeyes-man.xml
	$(XP) $(DB2MAN) $<

expeyes-junior.1: expeyes-junior-man.xml
	$(XP) $(DB2MAN) $<

expeyes-doc.1: expeyes-junior-doc.xml
	$(XP) $(DB2MAN) $<

clean:
	rm -f *~

install:
	install -d $(DESTDIR)/usr/share/man/man1
	gzip -c9 expeyes.1 > $(DESTDIR)/usr/share/man/man1/expeyes.1.gz
	gzip -c9 expeyes-junior.1 > $(DESTDIR)/usr/share/man/man1/expeyes-junior.1.gz
	gzip -c9 expeyes-doc.1 > $(DESTDIR)/usr/share/man/man1/expeyes-doc.1.gz
	ln -s expeyes-doc.1.gz $(DESTDIR)/usr/share/man/man1/expeyes-junior-doc.1.gz
	install -d $(DESTDIR)/usr/bin
	install -m 755 expeyes $(DESTDIR)/usr/bin
	install -m 755 expeyes-junior $(DESTDIR)/usr/bin
	install -m 755 expeyes-doc $(DESTDIR)/usr/bin
	ln -s expeyes-doc $(DESTDIR)/usr/bin/expeyes-junior-doc

.PHONY: all clean install

=== doc/Makefile ===
DESTDIR =
LANG = en fr

all:
	for l in $(LANG); do \
	  make -C $$l/Docs all; \
	  make -C $$l/Docs-jr all; \
	done

clean:
	for l in $(LANG); do \
	  make -C $$l/Docs clean; \
	  make -C $$l/Docs-jr clean; \
	done
	# remove generated eps files
	find . -name "*.eps" -exec rm {} \;

install:
	for l in $(LANG); do \
	  install -d $(DESTDIR)/../expeyes-doc-$$l/usr/share/expeyes/doc; \
	  for p in $$l/Docs/*.pdf $$l/Docs-jr/*.pdf; do \
	    install -m 644 $$p $(DESTDIR)/../expeyes-doc-$$l/usr/share/expeyes/doc/$$l-$$(basename $$p); \
	  done; \
	done

.PHONY: all clean install

=== po/Makefile ===
DESTDIR =
SOURCES = $(shell ls ../eyes/*.py ../expeyes/*.py ../eyes-junior/*.py)
POFILES = $(shell ls *.po)
MOFILES = $(patsubst %.po, %.mo, $(POFILES))
LANG = $(patsubst %.po, %, $(POFILES))

all: $(MOFILES)

%.mo: %.po
	msgfmt --output-file=$@ $<

$(POFILES): messages.pot
	for f in $(POFILES); do \
	  msgmerge --update --previous $$f messages.pot; \
	done

messages.pot: $(SOURCES)
	if [ -f $@ ]; then \
	  xgettext --output=$@  --language=python --join-existing --keyword=_ --add-location $(SOURCES); \
	else \
	  xgettext --output=$@  --language=python --keyword=_ --add-location $(SOURCES); \
	fi

clean:
	rm -f messages.pot *.mo *~

install: all
	for l in $(LANG); do \
	  install -d $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES; \
	  install -m 644 $$l.mo $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES/expeyes.mo; \
	done

.PHONY: all clean install

## expeyes 1.0.3

=== debian/changelog ===
expeyes (1.0.3-4ubuntu1) oneiric; urgency=low

  * Do not build-depend on python-all when not building for all python
    versions. LP: #831395.
  * Do not hard-code python2.6.
  * Call dh --with python2.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2011 22:26:33 +0000

expeyes (1.0.3-4) unstable; urgency=low

  * added dependencies: python-serial, python-usb, tix and a few recommends:
  * forced the install of python files in /usr, to fix the bug with
    dh_usrlocal. Closes: #633550

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 15 Jul 2011 15:22:43 +0200

expeyes (1.0.3-3) unstable; urgency=low

  * fixed inconsistent links to images in the French doc.

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 12 May 2011 23:23:52 +0200

expeyes (1.0.3-2) unstable; urgency=low

  * added expeyes-doc (<< 1.0.3) in Conflicts:, in order to make 
    expeyes-doc-xx installable. 
    Closes: #625472, #625271
  * made imagemagick a build-dependency.
    Closes: #625185

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 04 May 2011 07:22:18 +0200

expeyes (1.0.3-1) unstable; urgency=low

  * upgraded the English user manual from the new source version at
    http://expeyes.in/sites/default/files/eyedocs.tgz
  * updated the French version of the manual.
  * fixed some typos in the English version of the manual

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 02 May 2011 01:26:19 +0200

expeyes (1.0.2-1) unstable; urgency=low

  * upgraded to new upstream contents: downloaded 
    http://expeyes.in/sites/default/files/debs/expeyes-1.0.2.tgz
    and moved the directory EYES into expeyes-1.0.2; also merged
    the source of the English manual into the upstream source.
    The binary file firmware/eyes.hex has been removed from the source package,
    it is rebuilt at compile time.
  * added the build-dependencies for firmware/eyes.hex
  * targetted a new binary package to contain the firmware development stuff
  * added clean, build and install rules for the subdirectory firmware/
  * split the document manuals into different localized packages, each one
    providing expeyes-doc
  * made the Makefiles less verbose during the compilation of user manuals.
  * fixed a few phrases in the French user manual
  * updated the build-dependencies for the user manuals
  * fixed the watch file
  * upgraded the English user manual from the new source version at
    http://expeyes.in/sites/default/files/eyedocs.tgz
  * updated the French version of the manual.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 01 May 2011 20:04:28 +0200

expeyes (1.0.1-2) unstable; urgency=low

  * modified the manual source to enforce the usage of lmodern fonts

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 20 Apr 2011 01:26:38 +0200

expeyes (1.0.1-1) unstable; urgency=low

  * Upgraded to the new upstream release which has been communicated 
    by a private e-mail
  * removed the files *grace* from the upstream package since they should 
    belong to the package python-pygrace, which is already part of Debian.
  * added the support for i18n
  * localized the programs for French
  * created a script to localize the documentation in synchronisation
    with the programs

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 19 Apr 2011 23:12:22 +0200

expeyes (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #623022)
  * stripped out *.pyc files from the source archive, renamed the main
    directory of this archive to exepeyes-1.0.0, removed files which are
    part of the package python-pygrace
  * modified most of the python files, to use a common python library
    named expeyes and its submodules eyes, eyemath, eyeplot
  * added a command to launch the explorer, with the name "expeyes", and
    a short manpage for it.
  * scheduled the creation of the file /lib/udev/rules.d/99-phoenix.rules
  * added an icon and a desktop entry
  * translated the user manual to French

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 19 Apr 2011 02:25:09 +0200

=== debian/control ===
Source: expeyes
Section: science
Priority: extra
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 7.0.50~), quilt, python (>=2.6.6-3 ),
 lyx, texlive-latex-base, texlive-latex-extra, lmodern, imagemagick,
 gcc-avr, binutils-avr, avr-libc
X-Python-Version: >= 2.5
Standards-Version: 3.9.2
Homepage: http://expeyes.in/

Package: expeyes
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-expeyes, python-imaging-tk,
 tix, python-tk
Recommends: python-numpy, python-scipy
Description: hardware & software framework for developing science experiments
 This package provides high level interfaces for making science experiments
 with an ExpEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.

Package: expeyes-firmware-dev
Architecture: all
Section: devel
Depends: ${misc:Depends}
Recommends: gcc-avr, binutils-avr, uisp
Description: hardware & software framework for developing science experiments
 This package provides high level interfaces for making science experiments
 with an ExpEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.


Package: python-expeyes
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-scipy, python-pygrace,
 python-serial, python-usb, udev (>= 149-1)
Recommends: expeyes-doc-en|expeyes-doc
Description: Python library for expeyes
 This package provides low level interfaces for making science experiments
 with an ExpEYES box. The library allows one to develop new programs easily
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.

Package: expeyes-doc-en
Section: doc
Architecture: all
Depends: ${misc:Depends}
Provides: expeyes-doc
Replaces: expeyes-doc (<< 1.0.3)
Description: User manual for expeyes library, in English language
 This package provides a full documentation to use the library python-expeyes,
 which enables to program new experiments using an ExpEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.


Package: expeyes-doc-fr
Section: doc
Architecture: all
Depends: ${misc:Depends}
Provides: expeyes-doc
Replaces: expeyes-doc (<< 1.0.3)
Description: User manual for expeyes library, French translation
 This package provides a full documentation to use the library python-expeyes,
 which enables to program new experiments using an ExpEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LANG = $(shell ls doc | grep -v Makefile)
LIB_DESTDIR = $(CURDIR)/debian/python-expeyes

%:
	dh $@ --with python2

override_dh_auto_build:
	python setup.py build
	make -C $(CURDIR)/doc all
	cd firmware; ./compile.sh eyes

override_dh_auto_clean:
	rm -rf *~ *.pyc build/
	cd firmware;  rm -f  eyes *.hex *~
	make -C $(CURDIR)/doc clean
	make -C $(CURDIR)/po clean
	dh_clean

THIS_PYTHON = python2.7
DIRPYPKG = $(CURDIR)/debian/python-expeyes/usr/local/lib/$(THIS_PYTHON)/dist-packages/expeyes

override_dh_auto_install:
	# for python-expeyes
	python setup.py install --root=debian/python-expeyes --prefix=/usr
	echo "SYSFS{idVendor}==\"03eb\", SYSFS{idProduct}==\"21ff\", MODE=\"666\"" > $(LIB_DESTDIR)/lib/udev/rules.d/99-phoenix.rules
	echo "SYSFS{idVendor}==\"0403\", SYSFS{idProduct}==\"6001\", MODE=\"666\"" >> $(LIB_DESTDIR)/lib/udev/rules.d/99-phoenix.rules
	# for expeyes
	pyfiles=$$(ls $(CURDIR)/*.py); \
	install -m644 $${pyfiles} $(CURDIR)/debian/expeyes/usr/share/expeyes
	install -m 755 expEYES $(CURDIR)/debian/expeyes/usr/bin
	install -m 644 logo.svg $(CURDIR)/debian/expeyes/usr/share/icons/expeyes.svg
	install -m 644 expeyes.desktop $(CURDIR)/debian/expeyes/usr/share/applications
	make -C $(CURDIR)/po install DESTDIR=$(CURDIR)/debian/expeyes
	# firmware stuff
	cd firmware; \
	for f in go set_fuse.sh test.py upload.sh eyes.hex; do \
	  install -m 644 $$f $(CURDIR)/debian/expeyes-firmware-dev/usr/share/expeyes/firmware; \
	done
	# install pictures
	install -m 644 $(CURDIR)/pics/* $(CURDIR)/debian/expeyes/usr/share/expeyes/pics
	# install the documentation
	for l in $(LANG); do \
	  destdir=$(CURDIR)/debian/expeyes-doc-$$l; \
	  install -d $${destdir}/usr/share/expeyes/doc; \
	  make -C $(CURDIR)/doc install DESTDIR=$${destdir} LANG=$$l; \
	done

## expeyes 2.0.0

=== debian/changelog ===
expeyes (2.0.0-3) unstable; urgency=low

  * Made the modification kindly suggested by Johann Felix Soden,
    Closes: #669264
  * modified slightly fr.po

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 18 Apr 2012 17:22:57 +0000

expeyes (2.0.0-2) unstable; urgency=low

  * fixed the problem with restarting udev. Closes: #659779

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 14 Feb 2012 19:16:58 +0000

expeyes (2.0.0-1) unstable; urgency=low

  * upgraded to the newest upstream version
  * refreshed the i18n patch
  * internationalized two new files.
  * imported the new French user manual from 
    http://scideralle-hosting.citic74.net/uici/index.php/ExpEYES
    with the halp of uicilibris; modified the Makefile for its processing.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 06 Nov 2011 17:23:28 +0100

expeyes (1.0.3-6) unstable; urgency=low

  * applied Matthias Klose's patch. Closes: #641962
    the details of this patch are:
    - Do not build-depend on python-all when not building for all python
      versions. LP: #831395.
    - Do not hard-code python2.6
    - Call dh --with python2 (already fixed in 1.0.3-5)

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 18 Sep 2011 14:03:22 +0200

expeyes (1.0.3-5) unstable; urgency=low

  * rescaled pics/eyes.png and fixed its encoding: it was a JPEG file
  * use --with python2 in debian/rules

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 10 Sep 2011 23:46:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 7.0.50~), quilt, python (>=2.6.6-3 ),
  lyx, texlive-latex-base, texlive-latex-extra, lmodern, imagemagick,
  gcc-avr, binutils-avr, avr-libc
-X-Python-Version: >= 2.5
+X-Python-Version: >= 2.6
 Standards-Version: 3.9.2
 Homepage: http://expeyes.in/

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	cd firmware; ./compile.sh eyes
 
 override_dh_auto_clean:
-	rm -rf *~ *.pyc build/
+	rm -rf *~ *.pyc build/ expeyes/*~ expeyes/*.pyc
 	cd firmware;  rm -f  eyes *.hex *~
 	make -C $(CURDIR)/doc clean
 	make -C $(CURDIR)/po clean
@@ -33,8 +33,8 @@
 override_dh_auto_install:
 	# for python-expeyes
 	python setup.py install --root=debian/python-expeyes --prefix=/usr
-	echo "SYSFS{idVendor}==\"03eb\", SYSFS{idProduct}==\"21ff\", MODE=\"666\"" > $(LIB_DESTDIR)/lib/udev/rules.d/99-phoenix.rules
-	echo "SYSFS{idVendor}==\"0403\", SYSFS{idProduct}==\"6001\", MODE=\"666\"" >> $(LIB_DESTDIR)/lib/udev/rules.d/99-phoenix.rules
+	echo 'ATTR{idVendor}=="03eb", ATTR{idProduct}=="21ff", MODE="666"' > $(LIB_DESTDIR)/lib/udev/rules.d/99-phoenix.rules
+	echo 'ATTR{idVendor}=="0403", ATTR{idProduct}=="6001", MODE="666"' >> $(LIB_DESTDIR)/lib/udev/rules.d/99-phoenix.rules
 	# for expeyes
 	pyfiles=$$(ls $(CURDIR)/*.py); \
 	install -m644 $${pyfiles} $(CURDIR)/debian/expeyes/usr/share/expeyes

=== debian/watch ===
version=3

http://expeyes.in/software-installation /sites/default/files/debs/expeyes-(.*)\.tgz

## expeyes 3.0.4

=== debian/changelog ===
expeyes (3.0.4-1) unstable; urgency=low

  * merged abdul's contribution at github; this adds a compatibility
    with MAC OSX.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 06 Feb 2013 18:03:17 +0100

expeyes (3.0.3-1) unstable; urgency=low

  * added a new device description to input into rules.d for udev, by the
    means of debian/postinst
  * fixed a few double translations in python source files.
  * included updates from Ajith Kumar in eyes/explore.py, 
    eyes-junior/ac-circuit.py, eyes-junior/calibrate.py,
    eyes-junior/croplus.py, eyes-junior/transistor.py
  * added the file nuclear-icon.png given by Ajith Kumar and mofified the
    install script accordingly
  * added the desktop file Phoenix-ASM.desktop and updated the install script
    accordingly

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 13 Dec 2012 14:05:47 +0100

expeyes (3.0.2-1) unstable; urgency=low

  * included new upstream code.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 10 Nov 2012 19:19:22 +0100

expeyes (3.0.1-2) unstable; urgency=low

  * added verifications of the existence of /etc/ini.d/udev in postinst
    and postrm scripts. Closes: #691123
  * moved a few build-dependencies out of build-depends-indep.
    Closes: #691045

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 23 Oct 2012 12:13:03 +0200

expeyes (3.0.1-1) unstable; urgency=low

  * removed the creation of $(DESTDIR) from Makefile. Either we use
    Debian/ubuntu, and this line is useless, or we do not use them,
    and this line is useless too, since $(DESTDIR) is a void string.
  * made libej-dev arch:any since it contains the architecture-specific
    file libej.a. Thank you Luca Flavigna for the explanation.
  * upgraded to the new upstream version. This removes one useless line
    from Makefile, and adds a new feature for users: easy measurement of
    resistances.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 23 Sep 2012 14:54:34 +0200

expeyes (3.0.0-2) unstable; urgency=low

  * fixed a small issue with the input capacitance, following a hint from
    Ajith Kumar. The modification is in the file expeyes/eyesj.py

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 20 Sep 2012 19:14:00 +0200

expeyes (3.0.0-1) unstable; urgency=low

  * fixed packaging issues: assigned the static library to the -dev
    package and removed the .la file.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 08 Sep 2012 11:30:54 +0200

expeyes (2.9.1-1) unstable; urgency=low

  * changed a few pics, which were sent by Ajith Kumar
  * integrated all previous patches in the source package, synced with
    github's repository

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 06 Sep 2012 19:39:00 +0200

expeyes (2.9.0-3) unstable; urgency=low

  * put desktop files and icons in the right binary package for documentation,
    which implies the creation of the package expeyes-doc-common as a
    dependency for every package providing expeyes-doc
  * created a command and its manpage to launch the viewer with user manuals
  * fixed a bug which precluded the installation of fr-eyesj.pdf
  * modified X-Python-Version: downgraded it to Python 2.5 as every Python
    source should be valid for Python2.5

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 28 Aug 2012 09:28:01 +0200

expeyes (2.9.0-2) unstable; urgency=low

  * added desktop files and icons for the documentation
  * added Ajith Kumar's fix for a divide by zero error in eyesj.py
  * modified the Makefile to let it run even if the doc directory is missing
  * fixed the Makefile to let it compile files differently for Python in
    debian and non-debian environments

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 20 Aug 2012 16:34:45 +0200

expeyes (2.9.0-1) unstable; urgency=low

  * upgraded to the newest upstream version. This adds support for
    expeyes-junior boxes, in Python and C language.
  * defined new binary packages: expeyes-clib, a collection of short
    programs written in C language based on libej0; libej0, a C library
    to drive expeyes-junior, and libej-dev which provides development
    files.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 05 Aug 2012 19:49:52 +0200

expeyes (2.0.0-5) unstable; urgency=low

  * modified postrm to purge the file /etc/udev/rules.d/99-phoenix.rules
    Closes: #681754
  * updated Standards-Version, and debhelper version dependency
  * added one more file to delete for the clean target in rules

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 17 Jul 2012 13:50:10 +0200

expeyes (2.0.0-4) unstable; urgency=low

  * Modified postinst to fix a problem with permissions, thanks to
    Ajith Kumar's e-mail.

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 13 Jul 2012 19:47:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: expeyes
 Section: science
 Priority: extra
-Maintainer: Georges Khaznadar <georgesk@ofset.org>
-Build-Depends: debhelper (>= 7.0.50~), quilt, python (>=2.6.6-3 ),
+Maintainer: Georges Khaznadar <georgesk@debian.org>
+Build-Depends: debhelper (>= 9.0.0), quilt, python (>=2.6.6-3 ),
  lyx, texlive-latex-base, texlive-latex-extra, lmodern, imagemagick,
  gcc-avr, binutils-avr, avr-libc
-X-Python-Version: >= 2.6
-Standards-Version: 3.9.2
+X-Python-Version: >= 2.5
+Standards-Version: 3.9.3
 Homepage: http://expeyes.in/
 
 Package: expeyes
@@ -27,6 +27,47 @@
  one microsecond. This project is based on Free and Open Source
  software, mostly written in Python programming language. The hardware
  design is also open.
+
+Package: libej0
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: expeyes
+Description: hardware & software framework for developing science experiments
+ This package provides a library usable to drive an expEYES box, and is
+ necessary to run clib-based software which addresses this box.
+ .
+ ExpEYES is from the PHOENIX project of Inter-University Accelerator
+ Centre, New Delhi. It is a hardware & software framework for
+ developing science experiments, demonstrations and projects and learn
+ science and engineering by exploration.
+
+Package: libej-dev
+Architecture: any
+Depends: ${misc:Depends},
+ libej0 (>= ${source:Version}), libej0 (<< ${source:Version}.1~)
+Section: libdevel
+Description: hardware & software framework for developing science experiments
+ This package provides headers and links to develop software in C language
+ addressing an expEYES box.
+ .
+ ExpEYES is from the PHOENIX project of Inter-University Accelerator
+ Centre, New Delhi. It is a hardware & software framework for
+ developing science experiments, demonstrations and projects and learn
+ science and engineering by exploration.
+
+Package: expeyes-clib
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, libej0
+Recommends: expeyes
+Description: hardware & software framework for developing science experiments
+ This package provides interfaces written in C language for making
+ science experiments with an ExpEYES box.
+ .
+ ExpEYES is from the PHOENIX project of Inter-University Accelerator
+ Centre, New Delhi. It is a hardware & software framework for
+ developing science experiments, demonstrations and projects and learn
+ science and engineering by exploration. This package provides approximately
+ the same features than the package expeyes, but its sources are in C language.
 
 Package: expeyes-firmware-dev
 Architecture: all
@@ -71,7 +112,7 @@
 Package: expeyes-doc-en
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, expeyes-doc-common
 Provides: expeyes-doc
 Replaces: expeyes-doc (<< 1.0.3)
 Description: User manual for expeyes library, in English language
@@ -92,7 +133,7 @@
 Package: expeyes-doc-fr
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, expeyes-doc-common
 Provides: expeyes-doc
 Replaces: expeyes-doc (<< 1.0.3)
 Description: User manual for expeyes library, French translation
@@ -108,3 +149,22 @@
  one microsecond. This project is based on Free and Open Source
  software, mostly written in Python programming language. The hardware
  design is also open.
+
+Package: expeyes-doc-common
+Section: doc
+Architecture: all
+Depends: ${python:Depends}, ${misc:Depends}, evince
+Description: Common files related to the User manual for expeyes library
+ This package provides icons and desktop entries to launch a viewer with
+ the documentation for expEYES.
+ .
+ ExpEYES is from the PHOENIX project of Inter-University Accelerator
+ Centre, New Delhi. It is a hardware & software framework for
+ developing science experiments, demonstrations and projects and learn
+ science and engineering by exploration. Capable of doing real time
+ measurements and analysing the data in different ways. Analog
+ voltages are measured with 0.025% resolution and time intervals with
+ one microsecond. This project is based on Free and Open Source
+ software, mostly written in Python programming language. The hardware
+ design is also open.
+

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LD_LIBRARY_PATH += debian/libexpeyes1/usr/lib

%:
	dh $@ --with python2

## expeyes 3.0.5

=== doc/Makefile ===
DESTDIR =
LANG = en fr

all:
	for l in $(LANG); do \
	  make -C $$l/Docs all; \
	  make -C $$l/Docs-jr all; \
	  make -C $$l/Progman-jr all; \
	done

clean:
	for l in $(LANG); do \
	  make -C $$l/Docs clean; \
	  make -C $$l/Docs-jr clean; \
	  make -C $$l/Progman-jr clean; \
	done
	# remove generated eps files
	find . -name "*.eps" -exec rm {} \;

install:
	for l in $(LANG); do \
	  install -d $(DESTDIR)/../expeyes-doc-$$l/usr/share/expeyes/doc; \
	  for p in $$l/Docs/*.pdf $$l/Docs-jr/*.pdf; $$l/Progman-jr/*.pdf;do \
	    install -m 644 $$p $(DESTDIR)/../expeyes-doc-$$l/usr/share/expeyes/doc/$$l-$$(basename $$p); \
	  done; \
	done

.PHONY: all clean install

=== doc/fr/Progman-jr/Makefile ===
DESTDIR =
PODIR   = ../../../po
LANG    = fr
SOURCES = $(shell ls *.lyx)
PDFS    = $(patsubst %.lyx, %.pdf, $(SOURCES))
TEXS    = $(patsubst %.lyx, %.tex, $(SOURCES))
WARNING=LaTeX Warning: Label(s) may have changed. Rerun

all: $(PDFS)

install: all
	install -m 644 $(PDFS) $(DESTDIR)

%.tex: %.lyx
	@echo -n "Language=$(LANG), exporting $< to a LaTeX file ... "
	@lyx -e latex $< >/dev/null 2>&1
	@echo Done.

%.pdf: %.tex
	@echo -n "Running PDFLaTeX"
	@ok=0; \
	logfile=$$(echo $< | sed 's/\.tex/.log/'); \
	while [ $$ok = 0 ]; do \
	  echo -n " ... "; \
	  pdflatex -interaction=nonstopmode $< >/dev/null 2>&1 || true; \
	  if ! grep -q "$(WARNING)" $${logfile}; then \
	    ok=1; \
	  fi; \
	done
	@echo Done.

clean:
	rm -f *~ *.aux *.log *.toc *.lof $(TEXS)
	[ -f /tmp/keep-expeyes-docs ] || rm -f $(PDFS) $(TEXS)

=== debian/changelog ===
expeyes (3.0.5-2) unstable; urgency=low

  * checked that the package can be built in a fresh Sid chroot, with the
    utility pdebuild. Closes: #728635
  * fixed errors in an application used to monitor a pendulum's dynamic.
  * improved this application, so it autodetects the begin of launching
    of a pendulum and autostarts.
  * fixed an error in eyesmath.py which prevented sometimes a fit of
    a damped sinusoide to succeed.
  * added an option in the fit_dsine function to allow time data to be
    in seconds rather than in milliseconds.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 18 Nov 2013 14:54:51 +0100

expeyes (3.0.5-1) unstable; urgency=low

  * Upgraded to the newest version, which provides programmer's manual
  * Changed the watch file to stick to github's data, added a script
    debian/get-newest-source.sh to automate updates (just use uscan)
  * Upgraded Standards-Version to 3.9.4

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 26 Oct 2013 15:10:17 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  lyx, texlive-latex-base, texlive-latex-extra, lmodern, imagemagick,
  gcc-avr, binutils-avr, avr-libc
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://expeyes.in/
 
 Package: expeyes

## expeyes 3.1.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 DESTDIR =
-SUBDIRS = $(shell ls -d doc bin firmware po clib/expeyes-clib 2>/dev/null)
+SUBDIRS = $(shell ls -d doc bin firmware po clib/expeyes-clib microhope microhope/microhope-doc 2>/dev/null)
 all:
 	python setup.py build
 	for d in $(SUBDIRS); do \
@@ -9,6 +9,8 @@
 	    make -C $$d $@; \
 	  fi; \
 	done
+	# make the bootloader hex file
+	make -C microhope/firmware atmega32
 
 install:
 	# for python-expeyes
@@ -27,6 +29,10 @@
 	install -m 644 pixmaps/expeyes-logo.png \
 	  $(DESTDIR)/usr/share/icons/expeyes.png
 	install -m 644 pixmaps/expeyes-junior-icon.png \
+	  $(DESTDIR)/usr/share/icons
+	install -m 644 pixmaps/expeyes-progman-jr-doc.png \
+	  $(DESTDIR)/usr/share/icons
+	install -m 644 pixmaps/expeyes-progman-jr-doc.svg \
 	  $(DESTDIR)/usr/share/icons
 	install -m 644 pixmaps/nuclear-icon.png \
 	  $(DESTDIR)/usr/share/icons
@@ -53,11 +59,10 @@
 clean:
 	rm -rf *~ *.pyc build/ eyes/*~ eyes/*.pyc eyes-junior/*~ eyes-junior/*.pyc doc/fr/Docs/eyes.out
 	for d in $(SUBDIRS); do \
-	  [ ! -f $$d/Makefile ] || make -C $$d $@; \
-	  if [ -x $$d/configure ] && [ -f $$d/Makefile ] ; then \
-	    make -C $$d distclean; \
-	  fi; \
+	  [ ! -f $$d/Makefile ] || make -C $$d distclean || make -C $$d clean; \
 	done
+	# clean the bootloader hex file
+	make -C microhope/firmware clean
 
 
 .PHONY: all install clean

=== bin/Makefile ===
DESTDIR=
DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc --nonet --param man.charmap.use.subset "0"

all: expeyes.1 expeyes-junior.1 expeyes-doc.1 expeyes-progman-jr-doc.1

expeyes.1: expeyes-man.xml
	$(XP) $(DB2MAN) $<

expeyes-junior.1: expeyes-junior-man.xml
	$(XP) $(DB2MAN) $<

expeyes-doc.1: expeyes-doc.xml
	$(XP) $(DB2MAN) $<

expeyes-progman-jr-doc.1: expeyes-progman-jr-doc.xml
	$(XP) $(DB2MAN) $<

clean:
	rm -f *~

install:
	install -d $(DESTDIR)/usr/share/man/man1
	gzip -c9 expeyes.1 > $(DESTDIR)/usr/share/man/man1/expeyes.1.gz
	gzip -c9 expeyes-junior.1 > $(DESTDIR)/usr/share/man/man1/expeyes-junior.1.gz
	gzip -c9 expeyes-doc.1 > $(DESTDIR)/usr/share/man/man1/expeyes-doc.1.gz
	ln -s expeyes-doc.1.gz $(DESTDIR)/usr/share/man/man1/expeyes-junior-doc.1.gz
	gzip -c9 expeyes-progman-jr-doc.1 > $(DESTDIR)/usr/share/man/man1/expeyes-progman-jr-doc.1.gz
	install -d $(DESTDIR)/usr/bin
	install -m 755 expeyes $(DESTDIR)/usr/bin
	install -m 755 expeyes-junior $(DESTDIR)/usr/bin
	install -m 755 expeyes-doc $(DESTDIR)/usr/bin
	install -m 755 expeyes-progman-jr-doc $(DESTDIR)/usr/bin
	ln -s expeyes-doc $(DESTDIR)/usr/bin/expeyes-junior-doc

.PHONY: all clean install

=== microhope/Makefile ===
DESTDIR =

all: uhope
uhope: uhope.c
	$(CC) uhope.c -o uhope $(CFLAGS) -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED `pkg-config gtk+-2.0 --cflags --libs`
install: uhope
	install -m 755 uhope $(DESTDIR)/usr/bin
clean:
	rm -f *.o uhope
.PHONY: all install clean

=== qeyes-1.0/Makefile ===
DESTDIR = 
SOURCES = $(shell ls *.py)
ITF_SOURCES = $(shell ls *.ui)
ITF = $(patsubst %.ui, Ui_%.py, $(ITF_SOURCES))

all: interfaces

interfaces: $(ITF)

Ui_%.py: %.ui
	pyuic4 $< > $@

clean:
	rm -rf build __pycache__
	rm -f *~ Ui_* *.pyc

distclean: clean

=== microhope/microhope-doc/Makefile ===
DESTDIR =
SOURCES = $(shell ls *.lyx)
PDFS    = $(patsubst %.lyx, %.pdf, $(SOURCES))
TEXS    = $(patsubst %.lyx, %.tex, $(SOURCES))
WARNING=LaTeX Warning: Label(s) may have changed. Rerun

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc --nonet --param man.charmap.use.subset "0"

all: microhope-en.pdf

manpages: ../create-microhope-env.1 ../microhope.1 microhope-doc.1 ../uhope.1

../create-microhope-env.1: ../create-microhope-env.xml
	cd ..; $(XP) $(DB2MAN) create-microhope-env.xml

../microhope.1: ../microhope.xml
	cd ..; $(XP) $(DB2MAN) microhope.xml

../uhope.1: ../uhope.xml
	cd ..; $(XP) $(DB2MAN) uhope.xml

microhope-doc.1: microhope-doc.xml
	$(XP) $(DB2MAN) $<

microhope-en.pdf: $(PDFS)
	cp microhope-proofread-gk.pdf $@

install: all
	install -m 644 microhope-en.pdf  $(DESTDIR)

%.pdf: %.lyx
	@echo -n "Exporting $< to a LaTeX file ... "
	@lyx -e latex $< >/dev/null 2>&1
	@echo Done.
	@echo -n "Running PDFLaTeX"
	@ok=0; lyxfile=$<; \
	logfile=$$(echo $${lyxfile} | sed 's/\.lyx/.log/'); \
	texfile=$$(echo $${lyxfile} | sed 's/\.lyx/.tex/'); \
	while [ $$ok = 0 ]; do \
	  echo -n " ... "; \
	  pdflatex -interaction=nonstopmode $${texfile} >/dev/null 2>&1 || true; \
	  if ! grep -q "$(WARNING)" $${logfile}; then \
	    ok=1; \
	  fi; \
	done
	@echo Done.

clean:
	rm -f *~ *.aux *.log *.toc *.lof *.tex

distclean: clean
	rm -f $(PDFS) microhope-*.pdf pics/*.eps

.PHONY: clean distclean all manpages install

=== doc/en/Docs-jr/Makefile ===
DESTDIR =
LANG    = en
SOURCES = $(shell ls *.lyx)
PDFS    = $(patsubst %.lyx, %.pdf, $(SOURCES))
TEXS    = $(patsubst %.lyx, %.tex, $(SOURCES))
WARNING=LaTeX Warning: Label(s) may have changed. Rerun

all: $(PDFS)

install: all
	install -m 644 $(PDFS) $(DESTDIR)

%.pdf: %.lyx
	@echo -n "Language=$(LANG), exporting $< to a LaTeX file ... "
	@lyx -e latex $< >/dev/null 2>&1
	@echo Done.
	@echo -n "Running PDFLaTeX"
	@ok=0; lyxfile=$<; \
	logfile=$$(echo $${lyxfile} | sed 's/\.lyx/.log/'); \
	texfile=$$(echo $${lyxfile} | sed 's/\.lyx/.tex/'); \
	while [ $$ok = 0 ]; do \
	  echo -n " ... "; \
	  pdflatex -interaction=nonstopmode $${texfile} >/dev/null 2>&1 || true; \
	  if ! grep -q "$(WARNING)" $${logfile}; then \
	    ok=1; \
	  fi; \
	done
	@echo Done.

clean:
	rm -f *~ *.aux *.log *.toc *.lof
	[ -f /tmp/keep-expeyes-docs ] || rm -f $(PDFS) $(TEXS)

=== doc/fr/Docs-jr/Makefile ===
DESTDIR =
PODIR   = ../../../po
LANG    = fr
SOURCES = $(shell ls *.lyx)
PDFS    = $(patsubst %.lyx, %.pdf, $(SOURCES))
TEXS    = $(patsubst %.lyx, %.tex, $(SOURCES))
WARNING=LaTeX Warning: Label(s) may have changed. Rerun

all: $(PDFS)

install: all
	install -m 644 $(PDFS) $(DESTDIR)

%.tex: %.lyx
	@echo -n "Language=$(LANG), exporting $< to a LaTeX file ... "
	@lyx -e latex $< >/dev/null 2>&1
	@echo Done.
	@echo "Localizing some words in the LaTeX file"
	@./localize-texfile $@ $(PODIR)/$(LANG).po > $@.tmp && mv $@.tmp $@

%.pdf: %.tex
	@echo -n "Running PDFLaTeX"
	@ok=0; \
	logfile=$$(echo $< | sed 's/\.tex/.log/'); \
	while [ $$ok = 0 ]; do \
	  echo -n " ... "; \
	  pdflatex -interaction=nonstopmode $< >/dev/null 2>&1 || true; \
	  if ! grep -q "$(WARNING)" $${logfile}; then \
	    ok=1; \
	  fi; \
	done
	@echo Done.

clean:
	rm -f *~ *.aux *.log *.toc *.lof $(TEXS)
	[ -f /tmp/keep-expeyes-docs ] || rm -f $(PDFS) $(TEXS)

=== doc/fr/Docs/Makefile ===
DESTDIR =
LANG    = fr
SOURCES = eyes.tex
PDFS    = $(patsubst %.tex, %.pdf, $(SOURCES))
WARNING = LaTeX Warning: Label(s) may have changed. Rerun

all: $(PDFS)

install: all
	install -m 644 $(PDFS) $(DESTDIR)

%.pdf: %.tex
	@echo -n "Language=$(LANG), shell=$$(echo $$SHELL), Running PDFLaTeX "
	@ok=0; texfile=$<; logfile=$$(echo $$texfile| sed s/tex/log/); \
	while [ $$ok = 0 ]; do \
	  echo -n "... "; \
	  pdflatex -interaction=nonstopmode $${texfile} >/dev/null 2>&1 || true; \
	  if ! grep -q "$(WARNING)" $${logfile}; then \
	    ok=1; \
	  fi; \
	done; \
	echo Done.

clean:
	rm -f *~ *.aux *.log *.toc *.lof
	[ -f /tmp/keep-expeyes-docs ] || rm -f $(PDFS)

=== doc/fr/Progman-jr/Makefile ===
--- 
+++ 
@@ -30,5 +30,5 @@
 	@echo Done.
 
 clean:
-	rm -f *~ *.aux *.log *.toc *.lof $(TEXS)
+	rm -f *~ *.aux *.log *.toc *.lof *.out $(TEXS)
 	[ -f /tmp/keep-expeyes-docs ] || rm -f $(PDFS) $(TEXS)

=== debian/changelog ===
expeyes (3.1.5-2) unstable; urgency=medium

  * added latest Ambar's improvements : some status will be displaied in
    the widow's title.
  * created a new mechanism to build PDF files once only : if a file
    keep-expeyes-pdf exists in the top dir, the are not erased between two
    builds. So I need to do one debuild, register binary files in
    d/sources/include-binaries and run pdebuild. Closes: #736118
    .
    This can be considered as a workaround: the build on i386 architecture
    with the same source package fails in Debian's compile farm and succeeds
    in Ubuntu's one.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 24 Jan 2014 22:56:26 +0100

expeyes (3.1.5-1) unstable; urgency=medium

  * upgraded to the new upstream release. This adds features to support
    ASM examples.

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 18 Jan 2014 09:16:08 +0100

expeyes (3.1.4-2) unstable; urgency=medium

  * moved the examples of microhope and tuned create-microhope-env
    accordingly

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 17 Jan 2014 19:29:26 +0100

expeyes (3.1.4-1) unstable; urgency=medium

  * upgraded to the new upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 13 Jan 2014 20:47:07 +0100

expeyes (3.1.2-1) unstable; urgency=medium

  * upgraded to the latest upstream release, which adds:
    - Ambar Chatterjee's uhope.c program,
    - a manpage for the program uhope
  * changed the target for the package microhope: it must be "any" ; modified
    the dependencies.
  * added a build-dependency on hardening-wrapper, and "hardened" the Makefile
    for uhope
  * adjusted the file d/copyright
  * replaced microhope by uhope as the primary IDE.
  * replaced deprecated constructs for AVR-gcc
  * added build-dependencies on pkg-config and libgtk2.0-dev

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 11 Jan 2014 23:53:40 +0100

expeyes (3.1.1-2) unstable; urgency=medium

  * applied some fixes made available by Ajith Kumar to the User Manual
    for MicroHope.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 06 Jan 2014 11:35:52 +0100

expeyes (3.1.1-1) unstable; urgency=medium

  * Upgraded to the newest upstream version. This fixes many issues like
    errors in one source files and sourceless binaries coming with the
    package.
  * Simplified the postinst/postrm scripts

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 04 Jan 2014 17:12:25 +0100

expeyes (3.1.0-1) unstable; urgency=medium

  * upgraded to the newest upstream version. This provides a new set of
    commands, for the program "microhope"
  * added the binary package "microhope" to the list of packages defined
    in debian/control. Microhope depends on the package "expeyes", due to
    the necessary configuration for udev, which expeyes provides upon
    post-installation.
  * added a command "create-microhope-env" which provides microhope example
    files and libraries to the end user in her own space, and its manpage.
  * added a command "microhope" to launch the IDE, and its manpage.
  * added a command "microhope-doc" to browse the documentation, and
    its manpage.
  * updated the desktop files to take in account the new commands
  * upgraded Standards-Version to 3.9.5
  * internationalized and localized the IDE for French language.
  * added an "About" section in the IDE's menus
  * added a logo file mh-logo.svg and its export to a pixmap, adjusted the file
    debian/source/include-binaries to mention the pixmap
  * added a build-dependency: texlive-generic-recommended

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 03 Jan 2014 12:03:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: extra
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 9.0.0), quilt, python (>=2.6.6-3 ),
- lyx, texlive-latex-base, texlive-latex-extra, lmodern, imagemagick,
- gcc-avr, binutils-avr, avr-libc
+ lyx, texlive-latex-base, texlive-latex-extra, texlive-generic-recommended,
+ lmodern, imagemagick, gcc-avr, binutils-avr, avr-libc, hardening-wrapper,
+ pkg-config, libgtk2.0-dev
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://expeyes.in/
 
 Package: expeyes
@@ -168,3 +169,20 @@
  software, mostly written in Python programming language. The hardware
  design is also open.
 
+Package: microhope
+Architecture: any
+Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends},
+ expeyes, python-tk, avr-libc, avrdude
+Description: hardware & software framework to learn microcontrollers
+ This package provides a set of example programs to drive an ATmega32
+ microcontroller, together with a tutorial explaining how to compile
+ them, upload them to the microcontroller, and how to make simple and
+ more complicated modifications. It is meant to be used with the
+ "microhope" board which makes it easy to upload code to the microcontroller
+ through a USB link.
+ .
+ In addition to examples there is a library to drive all of the peripherals
+ available on the "microhope" board: LED, LCD display, ADC connected to
+ sensors.
+ .
+ A Graphic User Interface is provided too.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 #export DH_VERBOSE=1
 
 LD_LIBRARY_PATH += debian/libexpeyes1/usr/lib
+export DEB_BUILD_HARDENING=1
 
 %:
 	dh $@ --with python2

=== debian/watch ===
version=3

opts=dversionmangle=s/expeyes-/v/ \
https://github.com/expeyes/expeyes-programs/tags \
   /expeyes/expeyes-programs/archive/[Vv](.*)\.tar\.gz \
 debian /bin/sh debian/get-newest-source.sh
